## gimp 0.54.1

=== plug-ins/Makefile ===
# the setup for the HP's on campus (UCB)
# INCLUDE	=	-I/usr/sww/include -I/home/tmp/spencer/include-hp
# LINCLUDE	=	-L/usr/sww/lib -L/home/tmp/spencer/lib-hp

# the setup for the SGI's on campus (UCB)
# INCLUDE	=	-I/usr/sww/include -I/home/tmp/spencer/include-sgi
# LINCLUDE	=	-L/usr/sww/lib -L/home/tmp/spencer/lib-sgi

# the setup for the Solaris machines at CEA
# INCLUDE	=       -I/usr/local/lib/jpeg/include -I../../include
# LINCLUDE	=       -L/usr/local/lib/jpeg -L../../lib

# the setup for linux at home
INCLUDE		=	-I/usr/X11R6/include -I/usr/local/include
LINCLUDE	=	-L/usr/X11R6/lib -L/usr/local/lib

# set the compiler variable
CC        	=	gcc

# specify if ranlib should be used
RANLIB		=	ranlib
#RANLIB		=	echo

# remember to add the includes
CFLAGS		=	-O -Wall $(INCLUDE)

# specify how depends are remade
MAKEDEPEND	=	gcc -MM

#########################################################
# You shouldn't have to modify anything below this line #
#########################################################

FILTERSRC = 	blur.c relief.c to-gray.c to-color.c to-indexed.c	\
		grayify.c bleed.c spread.c edge.c invert.c pixelize.c 	\
		flip_horz.c flip_vert.c shift.c enhance.c		\
		multiply.c difference.c subtract.c add.c		\
		duplicate.c offset.c blend.c composite.c		\
		gamma.c scale.c rotate.c tile.c	gauss.c			\
		compose.c decompose.c netpbm.c				\
		jpeg.c tiff.c gif.c png.c gbrush.c xpm.c tga.c

FILTEROBJ = $(FILTERSRC:.c=.o)
FILTERS = $(FILTERSRC:.c=)
LIBGIMP = libgimp.a

all: $(LIBGIMP) $(FILTERS)


# If you are using gmake use the following 2 rules...
%: %.c $(LIBGIMP)
	$(CC) $(CFLAGS) -o $@ $< $(LIBGIMP) -lc

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

# If you are using make use the following 2 rules...
# .c: $(LIBGIMP)
#	$(CC) $(CFLAGS) -o $@ $< $(LIBGIMP)
#
# .c.o:
#	$(CC) $(CFLAGS) -c $< -o $@


gamma:  gamma.c $(LIBGIMP)
	-$(CC) $(CFLAGS) $(LINCLUDE) -o gamma gamma.c $(LIBGIMP) -lc -lm

rotate: rotate.c $(LIBGIMP)
	-$(CC) $(CFLAGS) $(LINCLUDE) -o rotate rotate.c $(LIBGIMP) -lc -lm

gauss: gauss.c $(LIBGIMP)
	-$(CC) $(CFLAGS) $(LINCLUDE) -o gauss gauss.c $(LIBGIMP) -lc -lm

jpeg: jpeg.c $(LIBGIMP)
	-$(CC) $(CFLAGS) $(LINCLUDE) -o jpeg jpeg.c $(LIBGIMP) -ljpeg -lc

png: png.c $(LIBGIMP)
	-$(CC) $(CFLAGS) $(LINCLUDE) -o png png.c $(LIBGIMP) -lpng -lz -lc -lm

tiff: tiff.c $(LIBGIMP)
	-$(CC) $(CFLAGS) $(LINCLUDE) -o tiff tiff.c $(LIBGIMP) -ltiff -lc -lm

xpm: xpm.c $(LIBGIMP)
	-$(CC) $(CFLAGS) $(LINCLUDE) -o xpm xpm.c $(LIBGIMP) -lXpm -lX11 -lc

$(LIBGIMP): gimp.o
	ar rc $@ gimp.o
	$(RANLIB) $@

depend:
	$(MAKEDEPEND) $(INCLUDE) $(CFLAGS) $(FILTERSRC) > .depend

clean:
	rm -f *.o *~ $(LIBGIMP) $(FILTERS)

include .depend

## gimp 0.54.1-3

=== plug-ins/Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	-$(CC) $(CFLAGS) $(LINCLUDE) -o png png.c $(LIBGIMP) -lpng -lz -lc -lm
 
 tiff: tiff.c $(LIBGIMP)
-	-$(CC) $(CFLAGS) $(LINCLUDE) -o tiff tiff.c $(LIBGIMP) -ltiff -lc -lm
+	-$(CC) $(CFLAGS) $(LINCLUDE) -o tiff tiff.c $(LIBGIMP) -ltiff -ljpeg -lc -lm
 
 xpm: xpm.c $(LIBGIMP)
 	-$(CC) $(CFLAGS) $(LINCLUDE) -o xpm xpm.c $(LIBGIMP) -lXpm -lX11 -lc

## gimp 2.2.2

=== devel-docs/app/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# devel-docs/app/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# -*- mode: makefile -*-

####################################
# Everything below here is generic #
####################################

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/gimp
pkglibdir = $(libdir)/gimp
pkgincludedir = $(includedir)/gimp
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
AA = aa$(EXEEXT)
ACLOCAL = ${SHELL} /home/neo/gnomecvs/gimp-2-2/missing --run aclocal-1.7 
ALLOCA = 
ALSA_CFLAGS = 
ALSA_LIBS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/neo/gnomecvs/gimp-2-2/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/neo/gnomecvs/gimp-2-2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/neo/gnomecvs/gimp-2-2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/neo/gnomecvs/gimp-2-2/missing --run automake-1.7
AWK = mawk
BUILD_HELPBROWSER_FALSE = #
BUILD_HELPBROWSER_TRUE = 
BUILD_PRINT_FALSE = #
BUILD_PRINT_TRUE = 
BUILD_PYTHON_FALSE = #
BUILD_PYTHON_TRUE = 
BUILD_XJT_FALSE = #
BUILD_XJT_TRUE = 
CATALOGS =  ca.gmo cs.gmo da.gmo de.gmo el.gmo en_CA.gmo en_GB.gmo es.gmo eu.gmo fi.gmo fr.gmo ga.gmo gl.gmo he.gmo hu.gmo hr.gmo id.gmo it.gmo ja.gmo ko.gmo lt.gmo ms.gmo nb.gmo nl.gmo no.gmo pa.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sr.gmo sr@Latn.gmo sv.gmo tr.gmo uk.gmo vi.gmo yi.gmo zh_CN.gmo zh_TW.gmo
CATOBJEXT = .gmo
CC = gcc
CCAS = $(CC)
CCASFLAGS = $(CFLAGS)
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall
CPP = gcc -E
CPPFLAGS =  -DGIMP_DISABLE_DEPRECATED -DG_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DPANGO_DISABLE_DEPRECATED -DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFAULT_BINARY_FALSE = #
DEFAULT_BINARY_TRUE = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DESKTOP_DATADIR = ${prefix}/share
DESKTOP_DATADIR_FALSE = #
DESKTOP_DATADIR_TRUE = 
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_GIMP_CONSOLE_FALSE = #
ENABLE_GIMP_CONSOLE_TRUE = 
ENABLE_GTK_DOC_FALSE = #
ENABLE_GTK_DOC_TRUE = 
EXEEXT = 
EXIF_CFLAGS = -I/usr/include/libexif  
EXIF_LIBS = -lexif -lm  
F77 = 
FFLAGS = 
FONTCONFIG_CFLAGS =  
FONTCONFIG_LIBS = -lfontconfig  
FONTCONFIG_REQUIRED_VERSION = 2.2.0
FREETYPE_CONFIG = /usr/bin/freetype-config
FREETYPE_LIBS = -lfreetype -lz
GDK_PIXBUF_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GDK_PIXBUF_CSOURCE = /usr/bin/gdk-pixbuf-csource
GDK_PIXBUF_LIBS = -Wl,--export-dynamic -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
GDK_PIXBUF_REQUIRED_VERSION = 2.4.4
GETTEXT_PACKAGE = gimp20
GIMPINSTALL = 
GIMPPRINT_CFLAGS = 
GIMPPRINT_CONFIG = /usr/bin/gimpprint-config
GIMPPRINT_LIBS = -L/usr/lib -lgimpprint -lm
GIMPPRINT_REQUIRED_VERSION = 4.2.0
GIMPPRINT_TOONEW_VERSION = 4.3.0
GIMP_API_VERSION = 2.0
GIMP_APP_VERSION = 2.2
GIMP_BINARY_AGE = 202
GIMP_DATA_VERSION = 2.0
GIMP_DESKTOP_ICON = wilber-icon.png
GIMP_DEVEL_DOCS = devel-docs
GIMP_FULL_NAME = The GIMP
GIMP_INTERFACE_AGE = 2
GIMP_MAJOR_VERSION = 2
GIMP_MICRO_VERSION = 2
GIMP_MINOR_VERSION = 2
GIMP_MKENUMS = $(PERL) $(top_srcdir)/tools/gimp-mkenums
GIMP_MODULES = modules
GIMP_MP_FLAGS = 
GIMP_MP_LIBS = 
GIMP_PKGCONFIG_VERSION = 2.0
GIMP_PLUGINS = plug-ins
GIMP_PLUGIN_VERSION = 2.0
GIMP_REAL_VERSION = 2.2.2
GIMP_REMOTE = gimp-remote-2.2
GIMP_SYSCONF_VERSION = 2.0
GIMP_THREAD_FLAGS = 
GIMP_THREAD_LIBS = 
GIMP_TOOL_VERSION = 2.0
GIMP_UNSTABLE = no
GIMP_USER_VERSION = 2.2
GIMP_VERSION = 2.2.2
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -lgobject-2.0 -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GLIB_REQUIRED_VERSION = 2.4.5
GMODULE_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GMODULE_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -ldl -lgobject-2.0 -lglib-2.0  
GMOFILES =  ca.gmo cs.gmo da.gmo de.gmo el.gmo en_CA.gmo en_GB.gmo es.gmo eu.gmo fi.gmo fr.gmo ga.gmo gl.gmo he.gmo hu.gmo hr.gmo id.gmo it.gmo ja.gmo ko.gmo lt.gmo ms.gmo nb.gmo nl.gmo no.gmo pa.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sr.gmo sr@Latn.gmo sv.gmo tr.gmo uk.gmo vi.gmo yi.gmo zh_CN.gmo zh_TW.gmo
GMSGFMT = /usr/bin/msgfmt
GOBJECT_QUERY = gobject-query
GTKDOC_REQUIRED_VERSION = 1.0
GTKHTML2_CFLAGS = -DXTHREADS -I/usr/include/gtkhtml-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTKHTML2_LIBS = -Wl,--export-dynamic -lgtkhtml-2 -lgtk-x11-2.0 -lxml2 -lpthread -lz -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
GTKHTML2_REQUIRED_VERSION = 2.0.0
GTK_CFLAGS = -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTK_DOC_USE_LIBTOOL_FALSE = #
GTK_DOC_USE_LIBTOOL_TRUE = 
GTK_LIBS = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
GTK_REQUIRED_VERSION = 2.4.4
HAVE_FINITE = 
HAVE_GLIBC_REGEX = 
HAVE_GLIBC_REGEX_FALSE = #
HAVE_GLIBC_REGEX_TRUE = 
HAVE_ISFINITE = 
HAVE_LCMS_FALSE = #
HAVE_LCMS_TRUE = 
HAVE_LINUX_INPUT_FALSE = #
HAVE_LINUX_INPUT_TRUE = 
HAVE_MAC_TWAIN_FALSE = 
HAVE_MAC_TWAIN_TRUE = #
HAVE_WINDRES_FALSE = 
HAVE_WINDRES_TRUE = #
HAVE_XMLLINT_FALSE = #
HAVE_XMLLINT_TRUE = 
HAVE_XSLTPROC_FALSE = #
HAVE_XSLTPROC_TRUE = 
HTML_DIR = ${datadir}/gtk-doc/html
ICONV = /usr/bin/iconv
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = $(top_builddir)/intltool-merge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = $(top_builddir)/intltool-update
INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XML_NOMERGE_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
JPEG = jpeg$(EXEEXT)
LCMS_LIBS = -llcms
LDFLAGS = 
LIBAA = -laa
LIBART_CFLAGS = -I/usr/include/libart-2.0  
LIBART_LIBS = -lart_lgpl_2  
LIBJPEG = -ljpeg
LIBMNG = -lmng -ljpeg -lpng -lz
LIBOBJS = 
LIBPNG = -lpng -lz
LIBS = 
LIBSCREENSHOT =  -L/usr/X11R6/lib -lX11
LIBSVG = -Wl,--export-dynamic -lrsvg-2 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
LIBTIFF = -ltiff
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBWMF = -L/usr/lib -lwmf -lwmflite -lfreetype -lz -L/usr/X11R6/lib -lSM -lICE -lX11 -lexpat -ljpeg -lpng -lz -lm
LIBXMU =  -L/usr/X11R6/lib  -lSM -lICE -lX11 -lXmu -lXt
LIBXPM =  -L/usr/X11R6/lib  -lSM -lICE -lX11 -lXpm
LIBZ = -lz
LN_S = ln -s
LTLIBOBJS = 
LT_CURRENT_MINUS_AGE = 0
LT_VERSION_INFO = 200:2:200
MAIL = mail$(EXEEXT)
MAINT = 
MAINTAINER_MODE_FALSE = #
MAINTAINER_MODE_TRUE = 
MAKEINFO = ${SHELL} /home/neo/gnomecvs/gimp-2-2/missing --run makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MNG = mng$(EXEEXT)
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
MS_LIB_AVAILABLE_FALSE = 
MS_LIB_AVAILABLE_TRUE = #
OBJDUMP = objdump
OBJEXT = o
OS_UNIX_FALSE = #
OS_UNIX_TRUE = 
OS_WIN32_FALSE = 
OS_WIN32_TRUE = #
PACKAGE = gimp
PACKAGE_BUGREPORT = http://bugzilla.gnome.org/enter_bug.cgi?product=GIMP
PACKAGE_NAME = GIMP
PACKAGE_STRING = GIMP 2.2.2
PACKAGE_TARNAME = gimp
PACKAGE_VERSION = 2.2.2
PANGOFT2_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include

## gimp 2.6.8

=== debian/changelog ===
gimp (2.6.8-2ubuntu1.6) lucid-security; urgency=low

  * SECURITY UPDATE: code execution via malformed xwd files
    - debian/patches/13_CVE-2012-5576.patch: validate sizes in
      plug-ins/common/file-xwd.c.
    - CVE-2012-5576

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Dec 2012 13:36:06 -0500

gimp (2.6.8-2ubuntu1.5) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service via malformed .fit file header
    - debian/patches/10_CVE-2012-3236.patch: check for valid XTENSION
      header in plug-ins/file-fits/fits-io.c.
    - CVE-2012-3236
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted KiSS palette file
    - debian/patches/11_CVE-2012-3403.patch: validate return codes and
      header data in plug-ins/common/file-cel.c.
    - CVE-2012-3403
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted GIF image file
    - debian/patches/12_CVE-2012-3481.patch: validate sizes, and prevent
      overflows in plug-ins/common/file-gif-load.c.
    - CVE-2012-3481

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Sep 2012 15:53:06 -0400

gimp (2.6.8-2ubuntu1.4) lucid-security; urgency=low

  * SECURITY UPDATE: possible arbitrary code execution via malformed GIF
    - debian/patches/09_CVE-2011-2896.patch: properly calculate lengths in
      plug-ins/common/file-gif-load.c.
    - CVE-2011-2896

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 21 Sep 2011 11:42:59 -0400

gimp (2.6.8-2ubuntu1.3) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/08_CVE-2011-1782.patch: further fix buffer overflow in
      plug-ins/common/file-psp.c.
    - CVE-2011-1782

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Jun 2011 10:39:50 -0400

gimp (2.6.8-2ubuntu1.2) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    malformed plugin configuration files
    - debian/patches/05_CVE-2010-454x.patch: fix format strings in
      plug-ins/{common/sphere-designer,gfig/gfig-style,
      lighting/lighting-ui}.c.
    - CVE-2010-4540
    - CVE-2010-4541
    - CVE-2010-4542
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/06_CVE-2010-4543.patch: fix buffer overflow in
      plug-ins/common/file-psp.c.
    - CVE-2010-4543

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Apr 2011 11:49:07 -0400

gimp (2.6.8-2ubuntu1.1) lucid-proposed; urgency=low

  * debian/patches/04_gimp-statusbar.patch:
    + Fixes bug where some elements are not shown in the statusbar (LP: #537275) 
      Origin: upstream commit 501c4f65f08c111df0654cb887d95c2c06e82710


 -- Bhaskar Kandiyal <bkandiyal@gmail.com>  Tue, 13 Apr 2010 17:09:23 +0530

gimp (2.6.8-2ubuntu1) lucid; urgency=low

  * Merge with debian, remaining changes:
    + debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      - updated some strings for ubuntu
    + debian/rules:
      - updated translation templates
    + debian/control:
      - set Vcs-Bzr url

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 26 Feb 2010 19:10:31 +0100

gimp (2.6.8-2) unstable; urgency=low

  * Fix dependencies in libgimp2.0-dev (Closes: #569420)
  * Change libjpeg62-dev build-depend to libjpeg-dev

 -- Ari Pollak <ari@debian.org>  Thu, 25 Feb 2010 10:31:51 -0500

gimp (2.6.8-1) unstable; urgency=low

  * New upstream release
  * Switch to 3.0 (quilt) format

 -- Ari Pollak <ari@debian.org>  Thu, 07 Jan 2010 22:03:14 -0500

gimp (2.6.7-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * This update fixes the following security issues:
    - CVE-2009-3909: integer overflow in PSD file loader leading to
      a heap-based buffer overflow (Closes: #556750).
    - CVE-2009-1570: integer overflow in BMP file loader leading to
      a heap-based buffer overflow (Closes: #555929).
  * Add ${shlibs: Depends} to depends of libgimp-dev (Closes: #553234).

 -- Nico Golde <nion@debian.org>  Sat, 21 Nov 2009 14:57:51 +0100

gimp (2.6.7-1) unstable; urgency=low

  * New upstream release
    - Fixes help browser crash (Closes: #536521)
    - Fixes error in Finnish translation (Closes: #538294)

 -- Ari Pollak <ari@debian.org>  Fri, 14 Aug 2009 09:57:17 -0400

gimp (2.6.6-2) unstable; urgency=low

  * Add Build-Depends-Package to libgimp2.0.symbols
  * Use gnome.mk for dh_icons and dh_desktop
  * Fix missing comma in debian/control (Closes: #535643)

 -- Ari Pollak <ari@debian.org>  Fri, 10 Jul 2009 19:36:16 -0400

gimp (2.6.6-1) unstable; urgency=low

  * New upstream release
    - Save two-color PBMs properly, and don't invert the colors
      (Closes: #517502)

 -- Ari Pollak <ari@debian.org>  Sun, 22 Mar 2009 21:39:55 -0400

gimp (2.6.5-2) unstable; urgency=low

  * Bump build-dep on intltool (Closes: #518373)

 -- Ari Pollak <ari@debian.org>  Fri, 06 Mar 2009 18:25:42 -0500

gimp (2.6.5-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sun, 15 Feb 2009 21:03:52 -0500

gimp (2.6.4-2) unstable; urgency=low

  * Upload to unstable

 -- Ari Pollak <ari@debian.org>  Sun, 15 Feb 2009 05:42:45 -0500

gimp (2.6.4-1) experimental; urgency=low

  * New upstream release (Closes: #514530)
  * Revert building gimp-remote, since it's now deprecated.

 -- Ari Pollak <ari@debian.org>  Sun, 08 Feb 2009 13:48:49 -0500

gimp (2.6.3-1) experimental; urgency=low

  * New upstream release
  * Build gimp-remote (Closes: #504260)

 -- Ari Pollak <ari@debian.org>  Sat, 22 Nov 2008 15:56:34 -0500

gimp (2.6.2-1) experimental; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Thu, 30 Oct 2008 18:22:51 -0400

gimp (2.6.1-1) experimental; urgency=low

  * New upstream release
  * Fix watch file
  * Fix typoed gimp-gnomevfs in Replaces (thanks to Michael Biebl for pointing


=== debian/rules ===
#!/usr/bin/make -f
# PLEASE NOTE: when building a development version or a version where the minor
# library version changes or has changed but the major so version stays the 
# same, make sure to Build-Conflict on libgimpX.X, Where libgimpX.X contains
# a previous version of the same major version of the library. Otherwise,
# libtool will stupidly relink against the system version of the library
# when installing, and create a dependency on the old version of libgimp.
# TODO: maybe set LD_LIBRARY_PATH instead?

## WARNING: compiling without -O2 (DEB_BUILD_OPTIONS=noopt) may produce
## undesired effects, especially when scaling JPEG images

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/gnome.mk


LDFLAGS = -Wl,--as-needed
DEB_CONFIGURE_EXTRA_FLAGS := --enable-python --enable-default-binary
DEB_BUILDDIR := $(DEB_SRCDIR)/build

DEB_DH_SHLIBDEPS_ARGS_ALL := -Llibgimp2.0 -l$(CURDIR)/debian/libgimp2.0/usr/lib
DEB_DH_SHLIBDEPS_ARGS_gimp := -Xlibcontroller-midi.so

clean::
	rm -rf build

common-install-impl::
	# Add translation domain to .desktop and .server files
	DOMAIN=$$(grep --max-count 1 '^GETTEXT_PACKAGE[[:space:]]*=' $(DEB_BUILDDIR)/po/Makefile | sed 's/^.*=[[:space:]]\([^[:space:]]\)/\1/'); \
	for d in $$(find debian/tmp -type f -name "*.desktop" ); do \
 		echo "Adding translation domain $$DOMAIN to $$d..."; \
 		echo "X-Ubuntu-Gettext-Domain=$$DOMAIN" >> $$d; \
	done;

	cd po; intltool-update -p
	cd po-libgimp; intltool-update -p
	cd po-plug-ins; intltool-update -p
	cd po-script-fu; intltool-update -p

	# Remove compiled python files from the distribution, they're compiled in
	# postrm by dh_python
	find $(CURDIR)/debian/tmp -name "*.py[co]" -exec rm '{}' ';'

	rm debian/tmp/usr/lib/*.la

	dh_movefiles

binary-install/gimp::
	dh_pysupport -pgimp /usr/lib/gimp/2.0/python

## gimp 2.6.10

=== debian/changelog ===
gimp (2.6.10-1+squeeze4) oldstable-security; urgency=low

  * CVE-2012-3403 CVE-2012-3481 CVE-2012-5576
  * CVE-2013-1913 CVE-2013-1978
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Dec 2013 19:51:27 +0000

gimp (2.6.10-1+squeeze3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix multiple vulnerabilities:
    CVE-2010-4540 CVE-2010-4541 CVE-2010-4542 CVE-2010-4543
    CVE-2011-1782 CVE-2011-2896
    Closes: #608497, #629830, #643753.
  * Add xsltproc to Build-Depends to make it don't FTBFS.

 -- Aron Xu <aron@debian.org>  Thu, 01 Mar 2012 18:27:26 +0800

gimp (2.6.10-1+squeeze1) squeeze-proposed-updates; urgency=low

  * Non-maintainer Upload (with permission from Ari Pollak)
  * Fix printing when used with libcairo version 1.10 or above
    (Closes: #655517)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 15 Jan 2012 19:02:44 -0500

gimp (2.6.10-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Thu, 08 Jul 2010 21:31:29 -0400

gimp (2.6.9-1) unstable; urgency=low

  * New upstream release
    - fixes a crash when saving PPM (Closes: #549537)
  * Drop Suggests: libgimp-perl, since that's pretty poorly maintained

 -- Ari Pollak <ari@debian.org>  Wed, 23 Jun 2010 19:54:11 -0400

gimp (2.6.8-3) unstable; urgency=low

  * debian/patches/statusbar-progress-zoom.patch:
    - Apply patch from upstream to fix disappeared progressbar
      (Closes: #576595)
  * Bump build-depends on libgtk2.0 to >= 2.19.1 for patch to work

 -- Ari Pollak <ari@debian.org>  Mon, 05 Apr 2010 19:41:42 -0400

=== debian/control ===
Source: gimp
Priority: optional
Section: graphics
Maintainer: Ari Pollak <ari@debian.org>
Standards-Version: 3.8.2
Build-Depends: debhelper (>= 5.0.53), cdbs (>= 0.4.37), autotools-dev,
 patchutils, gettext, intltool (>= 0.36.3), libx11-dev, libice-dev, libsm-dev,
 libxmu-dev, libxpm-dev, libxt-dev,
 libaa1-dev, libgtk2.0-dev (>= 2.19.1), libglib2.0-dev (>= 2.16.0),
 libpango1.0-dev (>= 1.12.2), libwebkit-dev, libjpeg-dev,
 libart-2.0-dev, libpng12-dev | libpng-dev,
 zlib1g-dev, libtiff4-dev, python-dev (>= 2.3.5), python-gtk2-dev (>= 2.10.4),
 python-support (>= 0.4), libexif-dev (>= 0.6.15), libmng-dev,
 librsvg2-dev (>= 2.7.2-2), libfontconfig1-dev (>= 2.2.0),
 libwmf-dev (>= 0.2.8-1.1), libfreetype6-dev (>= 2.2),
 libpoppler-glib-dev (>= 0.3.1),
 libasound2-dev (>= 1.0.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libhal-dev (>= 0.5.7), libdbus-glib-1-dev (>= 0.70),
 liblcms1-dev | liblcms-dev, libgegl-0.0-dev, libbabl-0.0-0-dev,
 xsltproc
#Build-Conflicts: libgimp2.0
XS-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/gimp/
XS-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/gimp/
Homepage: http://www.gimp.org

Package: libgimp2.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Recommends: gimp, gimp-data (>= ${source:Upstream-Version}), gimp-data (<= ${source:Upstream-Version}-z)
Description: Libraries for the GNU Image Manipulation Program
 This package includes the libgimp libraries, which are
 necessary to run GIMP and third-party GIMP plugins.

Package: gimp
Architecture: any
Section: graphics
Provides: gimp-helpbrowser, gimp-python
Depends: libgimp2.0 (>= ${source:Upstream-Version}), libgimp2.0 (<= ${source:Upstream-Version}-z), gimp-data (>= ${source:Upstream-Version}), gimp-data (<= ${source:Upstream-Version}-z), python-gtk2 (>= 2.8.0), ${shlibs:Depends}, ${python:Depends}
Conflicts: gimp-data (<< 2.3.17-2), gimp-wget (<< 2.3.12-1), libgimp-perl (<= 2.0.dfsg+2.2pre1.dfsg-2), gimp-svg, gimp-print (<= 5.0.1-3), gimp-help (<< 2+0.13-1), gimp-helpbrowser, gimp-python (<< 2.6.0), gimp-gnomevfs (<< 2.6.0), gimp-libcurl (<< 2.6.0)
Replaces: gimp-data (<< 2.3.17-2), gimp-wget (<< 2.3.12-1), libgimp-perl (<= 2.0.dfsg+2.2pre1.dfsg-2), gimp-svg, gimp-print (<= 5.0.1-3), gimp-helpbrowser, gimp-python (<< 2.6.0), gimp-gnomevfs (<< 2.6.0), gimp-libcurl (<< 2.6.0)
Suggests: gimp-help-en | gimp-help, gimp-data-extras, gvfs-backends, libasound2, ghostscript
Description: The GNU Image Manipulation Program
 GIMP lets you draw, paint, edit images, and much more! GIMP
 includes the functionality and plug-ins of other famous image
 editing and processing programs.
 .
 If you'd like to be able to open files remotely (like over HTTP or FTP),
 install the gvfs-backends package.
 .
 If you'd like to use a MIDI device as an input controller in GIMP,
 install libasound2 and read the how-to at /usr/share/doc/gimp/README.MIDI
 .
 If you'd like to be able to read and write PostScript files from GIMP,
 install the ghostscript package.

Package: gimp-data
Architecture: all
Section: graphics
Recommends: gimp
Conflicts: gimp (<< 2.4.0~rc2-2), gimp-python (<< 2.6.0)
Replaces: gimp (<< 2.4.0~rc2-2), gimp-python (<< 2.6.0)
Description: Data files for GIMP
 This package contains architecture-independent supporting data files
 for use with GIMP.

Package: libgimp2.0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libgimp2.0 (= ${binary:Version}), libgtk2.0-dev (>= 2.12.5), pkg-config
Suggests: libgimp2.0-doc
Description: Headers and other files for compiling plugins for GIMP
 This package contains the header files for the GNU Image Manipulation
 Program, along with the static versions of libgimp.
 It also includes the gimptool-2.0 utility.
 .
 Install this package if you wish to compile your own plugins,
 or if you wish to develop packages that use libgimp. 

Package: libgimp2.0-doc
Architecture: all
Section: doc
Depends: lynx | www-browser
Description: Developers' Documentation for the GIMP library
 This package contains the HTML documentation for the GIMP library in
 /usr/share/gtk-doc/html/ .

Package: gimp-dbg
Priority: extra
Architecture: any
Section: debug
Depends: gimp (= ${binary:Version}) | libgimp2.0 (= ${binary:Version}), ${shlibs:Depends}
Description: Debugging symbols for GIMP
 This package includes the debugging symbols useful for debugging
 GIMP and its libraries, contained in the gimp and libgimp2.0 packages.
 The debugging symbols are used for execution tracing and core dump
 analysis.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/class/gnome.mk
 
 
@@ -27,18 +26,6 @@
 	rm -rf build
 
 common-install-impl::
-	# Add translation domain to .desktop and .server files
-	DOMAIN=$$(grep --max-count 1 '^GETTEXT_PACKAGE[[:space:]]*=' $(DEB_BUILDDIR)/po/Makefile | sed 's/^.*=[[:space:]]\([^[:space:]]\)/\1/'); \
-	for d in $$(find debian/tmp -type f -name "*.desktop" ); do \
- 		echo "Adding translation domain $$DOMAIN to $$d..."; \
- 		echo "X-Ubuntu-Gettext-Domain=$$DOMAIN" >> $$d; \
-	done;
-
-	cd po; intltool-update -p
-	cd po-libgimp; intltool-update -p
-	cd po-plug-ins; intltool-update -p
-	cd po-script-fu; intltool-update -p
-
 	# Remove compiled python files from the distribution, they're compiled in
 	# postrm by dh_python
 	find $(CURDIR)/debian/tmp -name "*.py[co]" -exec rm '{}' ';'

=== debian/watch ===
version=3
opts="dversionmangle=s/~/-/" \
 ftp://ftp.gimp.org/pub/gimp/v2.6/gimp-(.*)\.tar\.bz2

## gimp 2.6.11

=== debian/changelog ===
gimp (2.6.11-2ubuntu4.2) oneiric-security; urgency=low

  * SECURITY UPDATE: code execution via malformed xwd files
    - debian/patches/CVE-2012-5576.patch: validate sizes in
      plug-ins/common/file-xwd.c.
    - CVE-2012-5576

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Dec 2012 13:33:56 -0500

gimp (2.6.11-2ubuntu4.1) oneiric-security; urgency=low

  * SECURITY UPDATE: denial of service via malformed .fit file header
    - debian/patches/CVE-2012-3236.patch: check for valid XTENSION header
      in plug-ins/file-fits/fits-io.c.
    - CVE-2012-3236
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted KiSS palette file
    - debian/patches/CVE-2012-3403.patch: validate return codes and header
      data in plug-ins/common/file-cel.c.
    - CVE-2012-3403
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted GIF image file
    - debian/patches/CVE-2012-3481.patch: validate sizes, and prevent
      overflows in plug-ins/common/file-gif-load.c.
    - CVE-2012-3481

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Sep 2012 13:42:45 -0400

gimp (2.6.11-2ubuntu4) oneiric; urgency=low

  * SECURITY UPDATE: possible arbitrary code execution via malformed GIF
    - debian/patches/09_CVE-2011-2896.patch: properly calculate lengths in
      plug-ins/common/file-gif-load.c.
    - CVE-2011-2896

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 21 Sep 2011 09:59:51 -0400

gimp (2.6.11-2ubuntu3) oneiric; urgency=low

  * Convert to dh_python2 (LP: #847514)
    - update debian/control
    - update debian/rules 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 11 Sep 2011 22:32:16 -0500

gimp (2.6.11-2ubuntu2) oneiric; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/08_CVE-2011-1782.patch: further fix buffer overflow in
      plug-ins/common/file-psp.c.
    - CVE-2011-1782

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Jun 2011 10:32:34 -0400

gimp (2.6.11-2ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable, remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu
    - debian/control:
      + Update description
      + Change build-depends from libwebkit-dev to libwebkitgtk-dev
    - debian/rules:
      + Set gettext domain and update translation templates

 -- Iain Lane <laney@ubuntu.com>  Tue, 03 May 2011 21:54:00 +0100

gimp (2.6.11-2) unstable; urgency=high

  * Fix security issues when reading plugin configuration files and PSP files
    (CVE-2010-4540, CVE-2010-4541, CVE-2010-4542, CVE-2010-4543)
    (Closes: #608497)
    - patches imported from Ubuntu
  * Drop libgimp2.0's recommendation on gimp (Closes: #600226)
  * remove .la files, even from python modules (Closes: #621230)
  * Remove HAL support (Closes: #613201)
  * 07_binutils-gold.patch:
    - Allow package to build with binutils-gold

 -- Ari Pollak <ari@debian.org>  Tue, 12 Apr 2011 19:04:28 -0400

gimp (2.6.11-1ubuntu6) natty; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    malformed plugin configuration files
    - debian/patches/05_CVE-2010-454x.patch: fix format strings in
      plug-ins/{common/sphere-designer,gfig/gfig-style,
      lighting/lighting-ui}.c.
    - CVE-2010-4540
    - CVE-2010-4541
    - CVE-2010-4542
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/06_CVE-2010-4543.patch: fix buffer overflow in
      plug-ins/common/file-psp.c.
    - CVE-2010-4543

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Apr 2011 10:40:22 -0400

gimp (2.6.11-1ubuntu5) natty; urgency=low

  * debian/control: Drop libhal-dev build dependency. We don't install it any
    more, and it's absolutely unsupported these days.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Jan 2011 10:03:14 +0100

gimp (2.6.11-1ubuntu4) natty; urgency=low

  * debian/control:
    - Change build-depends from libwebkit-dev to libwebkitgtk-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 10 Jan 2011 17:39:21 -0600

gimp (2.6.11-1ubuntu3) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:03:24 +0000

gimp (2.6.11-1ubuntu2) natty; urgency=low

  * debian/control:
    - Add build-depends on dh-autoreconf
    - List dependencies one line per dependency
    - Use standards version 3.9.1
    - Add ${misc:Depends} to all packages
  * debian/rules:
    - Use autoreconf.mk
  * debian/patches/04_gold_linker.patch:
    - Explicitly specify library dependencies at link time, so we can use gold

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 06 Dec 2010 16:20:34 +1100

gimp (2.6.11-1ubuntu1) natty; urgency=low

  * Resync on Debian
  * debian/patches/02_help-message.patch,
    debian/patches/03_gimp.desktop.in.in.patch:
     - updated some strings for ubuntu
  * debian/control: updated description
  * debian/rules:
      - updated translation templates

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Nov 2010 17:25:42 +0100

gimp (2.6.11-1) unstable; urgency=low

  * Imported Upstream version 2.6.11
  * Remove statusbar-progress-zoom.patch, since it was from upstream
  * Switch Vcs path to git

 -- Ari Pollak <ari@debian.org>  Mon, 04 Oct 2010 23:09:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,35 @@
 Source: gimp
 Priority: optional
 Section: graphics
-Maintainer: Ari Pollak <ari@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ari Pollak <ari@debian.org>
 Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 5.0.53), cdbs (>= 0.4.37), autotools-dev,
+Build-Depends: debhelper (>= 5.0.53), cdbs (>= 0.4.90~), autotools-dev,
  patchutils, gettext, intltool (>= 0.36.3), libx11-dev, libice-dev, libsm-dev,
  libxmu-dev, libxpm-dev, libxt-dev,
  libaa1-dev, libgtk2.0-dev (>= 2.19.1), libglib2.0-dev (>= 2.16.0),
- libpango1.0-dev (>= 1.12.2), libwebkit-dev, libjpeg-dev,
+ libpango1.0-dev (>= 1.12.2), libwebkitgtk-dev, libjpeg-dev,
  libart-2.0-dev, libpng12-dev | libpng-dev,
- zlib1g-dev, libtiff4-dev, python-dev (>= 2.3.5), python-gtk2-dev (>= 2.10.4),
- python-support (>= 0.4), libexif-dev (>= 0.6.15), libmng-dev,
+ zlib1g-dev, libtiff4-dev, python-dev (>= 2.6.6-3~), python-gtk2-dev (>= 2.10.4),
+ libexif-dev (>= 0.6.15), libmng-dev,
  librsvg2-dev (>= 2.7.2-2), libfontconfig1-dev (>= 2.2.0),
  libwmf-dev (>= 0.2.8-1.1), libfreetype6-dev (>= 2.2),
  libpoppler-glib-dev (>= 0.3.1),
  libasound2-dev (>= 1.0.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libhal-dev (>= 0.5.7), libdbus-glib-1-dev (>= 0.70),
- liblcms1-dev | liblcms-dev, libgegl-0.0-dev, libbabl-0.0-0-dev,
- xsltproc
+ libdbus-glib-1-dev (>= 0.70),
+ liblcms1-dev | liblcms-dev, libgegl-0.0-dev, libbabl-0.0-0-dev
 #Build-Conflicts: libgimp2.0
-XS-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/gimp/
-XS-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/gimp/
+X-Python-Version: >=2.6
+XS-Vcs-Git: git://git.debian.org/git/collab-maint/gimp.git
+XS-Vcs-Browser: http://git.debian.org/?p=collab-maint/gimp.git
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gimp/ubuntu
 Homepage: http://www.gimp.org
 
 Package: libgimp2.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}
-Recommends: gimp, gimp-data (>= ${source:Upstream-Version}), gimp-data (<= ${source:Upstream-Version}-z)
+Recommends: gimp-data (>= ${source:Upstream-Version}), gimp-data (<= ${source:Upstream-Version}-z)
 Description: Libraries for the GNU Image Manipulation Program
  This package includes the libgimp libraries, which are
  necessary to run GIMP and third-party GIMP plugins.
@@ -41,18 +43,19 @@
 Replaces: gimp-data (<< 2.3.17-2), gimp-wget (<< 2.3.12-1), libgimp-perl (<= 2.0.dfsg+2.2pre1.dfsg-2), gimp-svg, gimp-print (<= 5.0.1-3), gimp-helpbrowser, gimp-python (<< 2.6.0), gimp-gnomevfs (<< 2.6.0), gimp-libcurl (<< 2.6.0)
 Suggests: gimp-help-en | gimp-help, gimp-data-extras, gvfs-backends, libasound2, ghostscript
 Description: The GNU Image Manipulation Program
- GIMP lets you draw, paint, edit images, and much more! GIMP
- includes the functionality and plug-ins of other famous image
- editing and processing programs.
+ GIMP is an advanced picture editor. You can use it to edit, enhance,
+ and retouch photos and scans, create drawings, and make your own
+ images. Lots of tools are available; you can sharpen and resize photos,
+ and remove dust and red-eyes, for example.
  .
- If you'd like to be able to open files remotely (like over HTTP or FTP),
- install the gvfs-backends package.
+ It has a large collection of professional-level editing tools and
+ filters, similar to the ones you might find in PhotoShop. Numerous
+ fine-control settings and features like layers, paths, masks, and
+ scripting give you total control over your images.
  .
- If you'd like to use a MIDI device as an input controller in GIMP,
- install libasound2 and read the how-to at /usr/share/doc/gimp/README.MIDI
- .
- If you'd like to be able to read and write PostScript files from GIMP,
- install the ghostscript package.
+ Many image file formats are supported, including JPEG, PhotoShop 
+ (.psd), and Paint Shop Pro (.psp) files. It can also be used to scan 
+ and print photos.
 
 Package: gimp-data
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 
 LDFLAGS = -Wl,--as-needed
-DEB_CONFIGURE_EXTRA_FLAGS := --enable-python --enable-default-binary
+DEB_CONFIGURE_EXTRA_FLAGS := --enable-python --enable-default-binary --without-hal
 DEB_BUILDDIR := $(DEB_SRCDIR)/build
 
 DEB_DH_SHLIBDEPS_ARGS_ALL := -Llibgimp2.0 -l$(CURDIR)/debian/libgimp2.0/usr/lib
@@ -26,13 +26,29 @@
 	rm -rf build
 
 common-install-impl::
+	# Remove compiled python files from the distribution, they're compiled
+	# in postrm by dh_python
+	find $(CURDIR)/debian/tmp -name "*.py[co]" -delete
+	# Add translation domain to .desktop and .server files
+	DOMAIN=$$(grep --max-count 1 '^GETTEXT_PACKAGE[[:space:]]*=' $(DEB_BUILDDIR)/po/Makefile | sed 's/^.*=[[:space:]]\([^[:space:]]\)/\1/'); \
+	for d in $$(find debian/tmp -type f -name "*.desktop" ); do \
+ 		echo "Adding translation domain $$DOMAIN to $$d..."; \
+ 		echo "X-Ubuntu-Gettext-Domain=$$DOMAIN" >> $$d; \
+	done;
+
+	cd po; intltool-update -p
+	cd po-libgimp; intltool-update -p
+	cd po-plug-ins; intltool-update -p
+	cd po-script-fu; intltool-update -p
+
 	# Remove compiled python files from the distribution, they're compiled in
 	# postrm by dh_python
 	find $(CURDIR)/debian/tmp -name "*.py[co]" -exec rm '{}' ';'
 
-	rm debian/tmp/usr/lib/*.la
+	# Remove all libtool .la files
+	find $(CURDIR)/debian/tmp/usr/lib -name "*.la" -delete
 
 	dh_movefiles
 
 binary-install/gimp::
-	dh_pysupport -pgimp /usr/lib/gimp/2.0/python
+	dh_python2 -pgimp /usr/lib/gimp/2.0/python
